> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merchant by ID

> Get Merchant by heron_id



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/merchants/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/merchants/{heron_id}:
    get:
      tags:
        - Merchants
      summary: Get merchant by ID
      description: Get Merchant by heron_id
      parameters:
        - description: The Merchant `heron_id`
          in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  merchant:
                    $ref: '#/components/schemas/Merchant'
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Merchant:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/MerchantCategory'
          readOnly: true
          type: array
        group_id:
          enum:
            - Uber
            - Google
            - Intuit
            - debt.mca_or_rbf
            - debt.non_bank_business
            - debt.equipment_and_auto_leasing
            - debt.mortgage
            - debt.personal_non_mortgage
            - debt.collections
            - debt.bank
            - invoice_factoring
            - fuel_provider
            - gambling_and_betting
            - null
          nullable: true
          type: string
        heron_id:
          example: mrc_UpskSA5ZVRanvP28PR2owF
          readOnly: true
          type: string
        icon_url:
          format: url
          nullable: true
          type: string
        is_priority:
          readOnly: true
          type: boolean
        logo_url:
          format: url
          nullable: true
          type: string
        name:
          type: string
        url:
          format: url
          type: string
      required:
        - name
        - url
      type: object
    MerchantCategory:
      properties:
        code:
          example: '7311'
          readOnly: true
          type: string
        description:
          default: null
          example: Advertising services
          nullable: true
          readOnly: true
          type: string
        slug:
          default: null
          example: advertising_services
          nullable: true
          readOnly: true
          type: string
      required:
        - code
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````